#
# spec file for package obs-service-source_validator
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           obs-service-source_validator
License:        GPL v2 or later
Group:          Development/Tools/Building
Summary:        An OBS source service: running all the osc source-validator checks
Version:        0.1
Release:        2.2.1
Source:         source_validator
Source1:        source_validator.service
Requires:       osc-source_validator
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

This service runs all checks from osc-source_validator. This can be used
to guarantee that all checks succeed also on the service side. This plugin can be
used via project wide defined services.

%prep

%setup -q -D -T 0 -n .

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0755 %{SOURCE0} $RPM_BUILD_ROOT/usr/lib/obs/service
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/obs/service

%files
%defattr(-,root,root)
%dir /usr/lib/obs
/usr/lib/obs/service

%changelog
* Wed May 25 2011 adrian@suse.de
- make service runable on server side as well
* Wed May 25 2011 adrian@suse.de
- initial package of our new source validator (created by Rudi)
